Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Topics - Favdeacon

Pages: [1]
1
Hi,

nplayers.ini lists the number of players and style of multiplay (simultaneous or alternating) in the format "2P sim", "3P alt", or even "4P alt / 2P sim". Building a romlist with nplayers.ini in import_extras passes them on in this format.

I want to extract the number(s) of players and the style(s) from Info.Players for further processing or display as [!somefunction].

My first try was to simply splice off the first character of Info.Players (see below), but it's a dirty hack that doesn't cover two-digit numbers (Royal Ascot II has 12) nor styles or dual styles.

Code: [Select]
function playersStripped()
 {
        local pstrip = fe.game_info(Info.Players).slice(0,1);
        return pstrip;
 }

After doing some reading in http://www.squirrel-lang.org/doc/squirrel3.html I think about a combination of splice() and find(). But I'm a absolute beginner at Squirrel and need some (aka much) help with this. Ideally, the final result may help others in parsing the nplayers.ini.

Cheers
Favdeacon

2
Hi,

on my Kubuntu 14.04, make aborts with this error:

Code: [Select]
src/media.cpp:1378:19: error: ‘AV_CODEC_ID_H265’ was not declared in this scope
   { FeMedia::qsv, AV_CODEC_ID_H265,       "h265_qsv",  NULL },
                   ^
make: *** [obj/media.o] Error 1

I have installed all the dependencies mentioned in the wiki:

Code: [Select]
$ sudo apt-get -y install git libsfml-dev libopenal-dev libavformat-dev libfontconfig1-dev libfreetype6-dev libswscale-dev libavresample-dev libarchive-dev libjpeg-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libjpeg-dev is already the newest version.
libopenal-dev is already the newest version.
libsfml-dev is already the newest version.
git is already the newest version.
libarchive-dev is already the newest version.
libfontconfig1-dev is already the newest version.
libfreetype6-dev is already the newest version.
libavformat-dev is already the newest version.
libavresample-dev is already the newest version.
libswscale-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Pages: [1]